--********************************************************************
-- Reset ITMNP 2.1 Measurement indexes                              **
--                                                                  **
-- Drop all Indexes for Triggers                                    **
-- ReCreate new Indexes for new SQL                                 **
--********************************************************************

DROP INDEX FSMTR;
DROP INDEX FSM1;
DROP INDEX FCTMTR;
DROP INDEX FSTMTR;
DROP INDEX TAMTR;
DROP INDEX TPMMTR;
DROP INDEX UETMTR;
DROP INDEX TAAMTR;
DROP INDEX HAMTR;
DROP INDEX HTMTR;
DROP INDEX EAMTR;
DROP INDEX ETMTR;
DROP INDEX ETDMTR;
DROP INDEX CSMTR;
DROP INDEX CMMTR;
DROP INDEX HPMTR;
DROP INDEX OSMTR;
DROP INDEX OTMTR;
DROP INDEX OTM1;
DROP INDEX OETMTR;
DROP INDEX ISMTR;
DROP INDEX IUMTR;
DROP INDEX IMMTR;
DROP INDEX SITMTR;
DROP INDEX TRMTR;
DROP INDEX TRBMTR;
DROP INDEX STAMTR;
DROP INDEX STTMTR;
DROP INDEX SUTMTR;
DROP INDEX IRMTR;
DROP INDEX IRM1;
DROP INDEX TMTR;
DROP INDEX TCAMTR;
DROP INDEX TCTMTR;
COMMIT;

CREATE INDEX ITMNP.CMMTR ON ITMNP.CSM_MON_MSMT(COLLECTED_TM, NODE_ID)
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.CSMTR ON ITMNP.CSM_SUMM_MSMT(COLLECTED_TM, NODE_ID) 
   CLUSTER PCTFREE 20;                                                      
CREATE INDEX ITMNP.EAMTR ON ITMNP.EE_AVL_MSMT(COLLECTED_TM, NODE_ID) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.ETMTR ON ITMNP.EE_TT_MSMT(COLLECTED_TM, NODE_ID) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.ETDMTR ON ITMNP.EE_TT_DET_MSMT(COLLECTED_TM, NODE_ID) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.FCTMTR ON ITMNP.FTP_CTRANS_MSMT(END_TM,NODE_ID,
   LINK_ID,LOCAL_IP,LOCAL_PORT,REMOTE_IP,REMOTE_PORT,START_TM)
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.FSM1 ON ITMNP.FTP_SESS_MSMT(COLLECTED_TM DESC)
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.FSMTR ON ITMNP.FTP_SESS_MSMT(END_TM,
  NODE_ID,LINK_ID,LOG_FAIL_REAS) PCTFREE 20;
CREATE INDEX ITMNP.FSTMTR ON ITMNP.FTP_STRANS_MSMT(END_TM,NODE_ID,
   LINK_ID,LOCAL_IP,LOCAL_PORT,REMOTE_IP,REMOTE_PORT,START_TM)
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.HAMTR ON ITMNP.HPR_AVL_MSMT(COLLECTED_TM, NODE_ID) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.HPMTR ON ITMNP.HPR_PIPE_MSMT(COLLECTED_TM, NODE_ID) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.HTMTR ON ITMNP.HPR_TT_MSMT(COLLECTED_TM, NODE_ID) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.IRM1 ON ITMNP.ICMP_RTT_MSMT(COLLECTED_TM DESC,
   NUM_THSH_EXC DESC) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.IRMTR ON ITMNP.ICMP_RTT_MSMT(COLLECTED_TM,NODE_ID,
   DEST_IPADDR) PCTFREE 20;
CREATE INDEX ITMNP.IMMTR ON ITMNP.IF_MULTI_MSMT(COLLECTED_TM,NODE_ID,
   IF_NAME,INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.ISMTR ON ITMNP.IF_STATUS_MSMT(COLLECTED_TM, NODE_ID,
   IF_NAME,INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.IUMTR ON ITMNP.IF_UNICAST_MSMT(COLLECTED_TM, NODE_ID,
   IF_NAME,INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.OETMTR ON ITMNP.OSA_ETH_TT_MSMT(COLLECTED_TM,NODE_ID,
   BRNT_MAC_ADDR,INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.OSMTR ON ITMNP.OSA_STATUS_MSMT(COLLECTED_TM, NODE_ID,
   BRNT_MAC_ADDR,INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.OTM1 ON ITMNP.OSA_TT_MSMT(BRNT_MAC_ADDR,CHANNEL_ID,
   PORT_NM,COLLECTED_TM) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.OTMTR ON ITMNP.OSA_TT_MSMT(COLLECTED_TM,NODE_ID,
   BRNT_MAC_ADDR,INSTANCE,PORT_NM) PCTFREE 20;
CREATE INDEX ITMNP.SITMTR ON ITMNP.STK_IP_TT_MSMT(COLLECTED_TM,NODE_ID,
   INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.STAMTR ON ITMNP.STK_TCP_AVL_MSMT(COLLECTED_TM,
   NODE_ID,INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.STTMTR ON ITMNP.STK_TCP_TT_MSMT(COLLECTED_TM,NODE_ID,
   INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.SUTMTR ON ITMNP.STK_UDP_TT_MSMT(COLLECTED_TM,NODE_ID,
   INSTANCE) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TAAMTR ON ITMNP.TCP_APP_AVL_MSMT(COLLECTED_TM,
   NODE_ID) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TCAMTR ON ITMNP.TCP_CONN_AVL_MSMT(COLLECTED_TM,
   NODE_ID) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TCTMTR ON ITMNP.TCP_CONN_TT_MSMT(COLLECTED_TM,
   NODE_ID) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TPMMTR ON ITMNP.TCP_PRV_MEM_MSMT(COLLECTED_TM,
   NODE_ID) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TRBMTR ON ITMNP.TN_RTT_BKT_MSMT(COLLECTED_TM,NODE_ID,
   LOCAL_NODE_IP,LOCAL_PORT,REMOTE_NODE_IP,REMOTE_PORT,INSTANCE) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TAMTR ON ITMNP.TN3270_AVL_MSMT(END_TM,NODE_ID,
   LOCAL_IP,LOCAL_PORT,REMOTE_IP,REMOTE_PORT,START_TM,SESS_TYPE,
   LU_SEL_METH,SSL_STATUS) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TRMTR ON ITMNP.TN3270_RESP_MSMT(COLLECTED_TM,NODE_ID,
   LOCAL_NODE_IP,LOCAL_PORT,REMOTE_NODE_IP,REMOTE_PORT,INSTANCE) 
   CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.TMTR ON ITMNP.TRACERT_MSMT(COLLECTED_TM,NODE_ID,
   DEST_IPADDR) CLUSTER PCTFREE 20;
CREATE INDEX ITMNP.UETMTR ON ITMNP.UDP_EP_TT_MSMT(COLLECTED_TM,NODE_ID) 
   CLUSTER PCTFREE 20;
COMMIT;
